Bug 1013570 - Installer: Shortcuts are not working once we change port offset during installation
Installer: Shortcuts are not working once we change port offset during instal...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER4
: EAP 6.2.0
Assigned To: Miles Tjandrawidjaja
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 07:00 EDT by Petr Kremensky
Modified: 2013-12-15 11:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:22:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-09-30 07:00:17 EDT
Description of problem:
 Port offset change during installation is not propagated to shortcut targets.

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER3

How reproducible:
 Always

Steps to Reproduce:
 1. Go to Socket Bindings screen, choose "Configure an offset for all default port bindings", select "+1" 
 2. Finish the installation
 3. Try to use shortcuts

Actual results:
 Port offset is not propageted to shortcuts Exex property -> Icons are not working (Admin console and server shutdown).

Expected results:
 All shortcuts are working as expected.

Additional info:
 To reproduce this you may choose any of offset type option (+1, +100, Specify offset).
Comment 1 Petr Kremensky 2013-09-30 07:44:36 EDT
There is quite similar issue if you choose to "Configure custom port bindings". On Socket Binding (standalone) screen select 1111 as "management-native Port Number" and finish the installation. Server shutdown (standalone) shortcut is still trying to use default (9999) native port.
I am also missing any option to change management ports for domain.
Comment 2 Thomas Hauser 2013-09-30 11:08:18 EDT
Petr,

If we want the ability to change management ports in domain, can you create a new BZ for it please?

Thanks,
Tom
Comment 3 Miles Tjandrawidjaja 2013-09-30 13:45:13 EDT
Standalone shortcuts have been fixed.

http://git.app.eng.bos.redhat.com/?p=jbossas-installer.git;a=commit;h=b29166d9e87b62e2b0cff34089e9ee523c16293f
Comment 4 Petr Kremensky 2013-10-01 03:14:05 EDT
FYI: I've created new feature request for domain management ports configuration BZ1013954.
Comment 5 Petr Kremensky 2013-10-07 10:10:27 EDT
Verified on EAP 6.2.0.ER4 installer.

Note You need to log in before you can comment on or make changes to this bug.